Access数据库连接时提示”操作必须使用一个可更新的查询”

2017-01-02 21:29 阅读 830 次 评论 0 条

操作必须使用一个可更新的查询

Microsoft OLE DB Provider for ODBC Drivers (0x80004005)
[Microsoft][ODBC Microsoft Access Driver] 操作必须使用一个可更新的查询。

 

今天在维护一套ASP网站的时候,连接Access数据库提示上面的错误。

经过调查后发现,是由于Access数据库的文件权限不足导致的,文件没有写的权限,

给文件的使用用户添加上读写权限就恢复正常。

版权声明:本文著作权归原作者所有,欢迎分享本文,谢谢支持!
转载请注明:Access数据库连接时提示”操作必须使用一个可更新的查询” | 猿笔记

发表评论


表情